## glew 1.13.0

=== debian/changelog ===
glew (1.13.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 10 Nov 2015 08:32:06 +0100

glew (1.13.0-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/watch: search regex updated

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/: SONAME bump 1.12 => 1.13
    - debian/*.symbols: symbol files updated

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 20 Oct 2015 14:50:51 +0200

glew (1.12.0-2) experimental; urgency=medium

  * debian/control: obsolete Conflicts entries dropped
  * debian/gbp.conf: [git-dch] => [dch]

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 May 2015 16:13:00 +0200

glew (1.12.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: massive modification due to SONAME bump 1.11 => 1.12
    - debian/patches/: patchset refreshed against v1.12.0
      - 0001-Fix_FTBFS_on_kFreeBSD.patch refreshed
      - 0002-Config_files_update.patch dropped
      - #0003 refreshed and renamed to #0002
    - debian/copyright: update due to lintian warnings
    - debian/*.symbols: massive update due to SONAME bump
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/control: Maintainer e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 04 Feb 2015 09:12:55 +0100

glew (1.11.0-2) experimental; urgency=medium

  * Fix FTBFS on kFreeBSD

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Tue, 26 Aug 2014 09:48:31 +0200

glew (1.11.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: massive modification due to SONAME bump 1.10 => 1.11
    - debian/patches/: patchset refreshed against v1.11.0
      - 0001-Fix_FTBFS_on_kFreeBSD.patch updated
      - 0003-Drop_PHONY_on_pc_files.patch updated
  * debian/control: Maintainer e-mail address updated
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
  * debian/control: "Multi-Arch: Same" set for -dbg packages
  * debian/control: Fabrizio Regalli removed from Uploaders
  * debian/watch: search regex updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 21 Aug 2014 12:20:36 +0200
