=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glew
 Priority: optional
 Section: libs
-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
-Uploaders: Fabrizio Regalli <fabreg@fabreg.it>
+Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: binutils (>> 2.18),
                debhelper (>= 9),
                docbook-to-man,
@@ -11,7 +10,7 @@
                libx11-dev,
                libxi-dev,
                libxmu-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://glew.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/glew.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glew.git
@@ -20,7 +19,7 @@
 Section: utils
 Architecture: any
 Replaces: libglew1.6 (<< 1.7)
-Depends: libglew1.10 (= ${binary:Version}),
+Depends: libglew1.13 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenGL Extension Wrangler - utilities
@@ -35,7 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgl1-mesa-dev | libgl-dev,
-         libglew1.10 (= ${binary:Version}),
+         libglew1.13 (= ${binary:Version}),
          libglu1-mesa-dev | libglu-dev,
          ${misc:Depends}
 Conflicts:
@@ -54,11 +53,10 @@
  This package contains the development documentation as well as the
  required header files.
 
-Package: libglew1.10
+Package: libglew1.13
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libglew1
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: glew-utils
@@ -68,11 +66,10 @@
  .
  This package contains the runtime support files.
 
-Package: libglewmx1.10
+Package: libglewmx1.13
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libglew1
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenGL Extension Wrangler (Multiple Rendering Contexts)
@@ -92,7 +89,7 @@
  libglewmx1.5-dev,
  libglewmx1.6-dev
 Depends: libglew-dev,
-         libglewmx1.10 (= ${binary:Version}),
+         libglewmx1.13 (= ${binary:Version}),
          ${misc:Depends}
 Description: OpenGL Extension Wrangler MX - development environment
  The OpenGL Extension Wrangler, GLEW for short, is a library that
@@ -108,7 +105,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libglew1.10 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libglew1.13 (= ${binary:Version}),
          ${misc:Depends}
 Description: OpenGL Extension Wrangler (debugging symbols)
  The OpenGL Extension Wrangler, GLEW for short, is a library that
@@ -118,13 +116,14 @@
  by the extension. Currently GLEW supports almost all the extensions
  found in the OpenGL extension registry (http://www.opengl.org/registry).
  .
- This package contains the debugging symbols for libglew1.10.
+ This package contains the debugging symbols for libglew.
 
 Package: libglewmx-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libglewmx1.10 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libglewmx1.13 (= ${binary:Version}),
          ${misc:Depends}
 Description: OpenGL Extension Wrangler MX (debugging symbols)
  The OpenGL Extension Wrangler, GLEW for short, is a library that
@@ -134,4 +133,4 @@
  by the extension. Currently GLEW supports almost all the extensions
  found in the OpenGL extension registry (http://www.opengl.org/registry).
  .
- This package contains the debugging symbols for libglewmx1.10.
+ This package contains the debugging symbols for libglewmx.
