=== debian/rules ===
--- 
+++ 
@@ -62,8 +62,8 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip -plibglew1.10 --dbg-package=libglew-dbg
-	dh_strip -plibglewmx1.10 --dbg-package=libglewmx-dbg
+	dh_strip -plibglew1.13 --dbg-package=libglew-dbg
+	dh_strip -plibglewmx1.13 --dbg-package=libglewmx-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -V
