## glew 2.0.0

=== debian/changelog ===
glew (2.0.0-5) unstable; urgency=medium

  * QA upload.
  * Drop ancient Build-Depends: binutils, satisfied in wheezy.
  * Migrate libglew-dbg to -dbgsym.
  * Make -dbgsym package useful:
    + Discard nostrip handling: handled by dh_strip.
    + Defer all stripping to dh_strip.
    + Pass CFLAGS via OPT makefile variable.
  * Let dh_auto_build pass cross compilers to $(MAKE).
  * Pass suitable LD= and SYSTEM= to dh_auto_build for cross compilation.
  * Drop unused srcversion variable lintian complains about.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 24 Aug 2017 21:30:01 +0200

glew (2.0.0-4) unstable; urgency=medium

  * debian/control: orphaning the package
  * debian/control: S-V bump 3.9.8 -> 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 Jul 2017 13:37:58 +0200

glew (2.0.0-3) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #837872)
    - 0002-Fix_pkgconfig_path.patch updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 18 Sep 2016 19:11:02 +0200

glew (2.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 08 Sep 2016 14:04:32 +0200

glew (2.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #835541)
    - MX support discontinued by upstream
    - EGL and OSMesa support added
    * debian/: libglewmx* files dropped
  * debian/control:
    - S-V bump 3.9.6 -> 3.9.8 (no changes needed)
    - Vcs-* fields updated for https:// usage
    - MX support dropped
    - SONAME bump 1.13 => 2.0
  * debian/glew-utils: file updated
    - README.txt dropped (upstream)
    - TODO.txt dropped (upstream)
    - README.md added
  * debian/:
    - SONAME bump 1.13 -> 2.0 for libglew's install file
    - SONAME bump 1.13 -> 2.0 and update for libglew's symbols
  * debian/rules: SONAME bump 1.13 -> 2.0
  * debian/shlibs.local: SONAME bump 1.13 -> 2.0
  * debian/libglew2.0.symbols: file updated
  * debian/patches/: patchset updated
    - 0001-Fix_FTBFS_on_kFreeBSD.patch refreshed
    - 0002-Drop_PHONY_on_pc_files.patch dropped
    - 0002-Fix_pkgconfig_path.patch added
  * debian/libglew-dev.install: paths simplified

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 05 Sep 2016 09:28:22 +0200
