=== debian/control ===
Source: glew
Priority: optional
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9.20160114),
               docbook-to-man,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libx11-dev,
               libxi-dev,
               libxmu-dev
Standards-Version: 4.0.0
Homepage: http://glew.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/collab-maint/glew.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/glew.git

Package: glew-utils
Section: utils
Architecture: any
Replaces: libglew1.6 (<< 1.7)
Depends: libglew2.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OpenGL Extension Wrangler - utilities
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the utilities which can be used to query the
 supported OpenGL extensions.

Package: libglew-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgl1-mesa-dev | libgl-dev,
         libglew2.0 (= ${binary:Version}),
         libglu1-mesa-dev | libglu-dev,
         ${misc:Depends}
Conflicts:
 libglew1.6-dev
Provides:
 libglew1.5-dev,
 libglew1.6-dev
Description: OpenGL Extension Wrangler - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way. Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension. Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the development documentation as well as the
 required header files.

Package: libglew2.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: glew-utils
Description: OpenGL Extension Wrangler - runtime environment
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the runtime support files.
