=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,19 @@
 # export DH_NO_ACT
 # export DH_OPTIONS
 
+include /usr/share/dpkg/architecture.mk
+
 CFLAGS = -Wall -g
-
-srcversion := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# let dh_strip strip
+export STRIP=true
+export INSTALL=install --strip-program=true
 
 configure: configure-stamp
 configure-stamp:
@@ -34,7 +33,14 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_build -- \
+		GL_LDFLAGS=-lGL \
+		GLU_LDFLAGS=-lGLU \
+		GLUT_LDFLAGS=-lglut \
+		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		'LD=$$(CC)' \
+		SYSTEM=$(firstword $(subst -, ,$(DEB_HOST_GNU_SYSTEM))) \
+		'OPT=$(CFLAGS)'
 	touch build-stamp
 	dh_installdirs
 	$(MAKE) install.all GLEW_DEST=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -62,8 +68,7 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip -plibglew1.13 --dbg-package=libglew-dbg
-	dh_strip -plibglewmx1.13 --dbg-package=libglewmx-dbg
+	dh_strip --dbgsym-migration="libglew-dbg (<< 2.0.0-5)"
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -V
