=== debian/watch ===
version=3
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/glew/glew \
.*=glew-(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
